Bug 6079 - rudimentary (only UI) high dpi support on macOS
Summary: rudimentary (only UI) high dpi support on macOS
Status: CLOSED FIXED
Alias: None
Product: ThinLinc
Classification: Unclassified
Component: Client platforms (show other bugs)
Version: 1.3.1
Hardware: Macintosh Unknown
: P2 Normal
Target Milestone: 4.8.0
Assignee: Peter Åstrand
URL:
Keywords: relnotes, samuel_tester, upstream
Depends on: 6153
Blocks: 5273 6980
  Show dependency treegraph
 
Reported: 2016-10-31 10:45 CET by Pierre Ossman
Modified: 2017-05-22 15:56 CEST (History)
2 users (show)

See Also:
Acceptance Criteria:


Attachments

Description Pierre Ossman cendio 2016-10-31 10:45:21 CET
Apparently macOS has a flag that seems to magically make most of ThinLinc be high DPI without any noticeable side effects. This flag was recently merged into  TigerVNC:

https://github.com/TigerVNC/tigervnc/pull/371

I tried adding it to tlclient as well and I could not see any issues.

It doesn't fix everything, but close. And given the low effort I'd say this is worthwhile to fix.
Comment 5 Peter Åstrand cendio 2017-02-08 16:09:56 CET
The flag has been added to both tlclient and vncviewer now. Unfortunately, I cannot find a OS X system with a high DPI screen to test with, so I'm leaving that to the tester.

Time report on bug 6153.
Comment 6 Peter Åstrand cendio 2017-02-08 16:17:57 CET
(In reply to comment #5)
> The flag has been added to both tlclient and vncviewer now. Unfortunately, I
> cannot find a OS X system with a high DPI screen to test with, so I'm leaving
> that to the tester.

Actually, I was able to test using the method described here:


https://www.tekrevue.com/tip/hidpi-mode-os-x/
Comment 7 Samuel Mannehed cendio 2017-02-10 13:46:22 CET
The client interface looks great! Tested with build 5369 on Mac OS 10.12.

Note You need to log in before you can comment on or make changes to this bug.